# Uses of Class
org.eclipse.jdt.core.dom.TypeParameter

Packages that use TypeParameter
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of TypeParameter in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return TypeParameter
Modifier and Type
Method
Description
`TypeParameter`
AST.`newTypeParameter()`
Creates and returns a new unparented type parameter type node with an unspecified type variable name and an empty list of type bounds.
Methods in org.eclipse.jdt.core.dom with parameters of type TypeParameter
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(TypeParameter node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(TypeParameter node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(TypeParameter node)`
Visits the given type-specific AST node.